<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>change log for rtems-testing (2011-03-14)</title>
</head>
<body text='#000000' bgcolor='#ffffff'>
<a name='cs1'></a>
<table border='0' cellspacing='0' cellpadding='5' width='100%' bgcolor='#eeeeee'>
<tr><td colspan='3' bgcolor='#dddddd'>
 <font color='#bb2222'><strong>joel</strong></font>
</td></tr>
<tr><td colspan='3' bgcolor='#dddddd'><pre>2011-03-14 Joel Sherrill <joel.sherrill@oarcorp.com>

        * do_one, rundeja, test_driver: Updates and add initial support for
        running Objective-C tests.
</pre></td></tr>
<tr><td width='1%'><a href="http://www.rtems.com/cgi-bin/viewcvs.cgi//rtems-testing/gcc/ChangeLog.diff?r1=text&tr1=1.21&r2=text&tr2=1.22&diff_format=h">M</a></td><td width='1%'>1.22</td><td width='100%'>gcc/ChangeLog</td></tr>
<tr><td width='1%'><a href="http://www.rtems.com/cgi-bin/viewcvs.cgi//rtems-testing/gcc/do_one.diff?r1=text&tr1=1.23&r2=text&tr2=1.24&diff_format=h">M</a></td><td width='1%'>1.24</td><td width='100%'>gcc/do_one</td></tr>
<tr><td width='1%'><a href="http://www.rtems.com/cgi-bin/viewcvs.cgi//rtems-testing/gcc/rundeja.diff?r1=text&tr1=1.14&r2=text&tr2=1.15&diff_format=h">M</a></td><td width='1%'>1.15</td><td width='100%'>gcc/rundeja</td></tr>
<tr><td width='1%'><a href="http://www.rtems.com/cgi-bin/viewcvs.cgi//rtems-testing/gcc/test_driver.diff?r1=text&tr1=1.20&r2=text&tr2=1.21&diff_format=h">M</a></td><td width='1%'>1.21</td><td width='100%'>gcc/test_driver</td></tr>
</table>
<pre>
<font color='#006600'>diff -u rtems-testing/gcc/ChangeLog:1.21 rtems-testing/gcc/ChangeLog:1.22
--- rtems-testing/gcc/ChangeLog:1.21    Mon Feb  7 16:32:35 2011
+++ rtems-testing/gcc/ChangeLog Mon Mar 14 09:39:47 2011
</font><font color='#997700'>@@ -1,3 +1,8 @@
</font><font color='#000088'>+2011-03-14    Joel Sherrill <joel.sherrill@oarcorp.com>
+
+       * do_one, rundeja, test_driver: Updates and add initial support for
+       running Objective-C tests.
+
</font> 2011-02-07        Joel Sherrill <joel.sherrill@oarcorp.com>
 
        * do_one, gcc_status, gccgo_status, rtems_gccgo_init.c, rundeja,

<font color='#006600'>diff -u rtems-testing/gcc/do_one:1.23 rtems-testing/gcc/do_one:1.24
--- rtems-testing/gcc/do_one:1.23       Mon Feb  7 16:32:35 2011
+++ rtems-testing/gcc/do_one    Mon Mar 14 09:39:47 2011
</font><font color='#997700'>@@ -2,16 +2,18 @@
</font> #
 # Execution Times (for sparc-rtems${RTEMS_VERSION})
 #
<font color='#880000'>-#   - building native                   - TBD
-#   - building binutils                 - 1m31.310s
-#   - building GDB                      - 1m39.318s
-#   - building stage1 (multilib)        - 10m22.371s
-#   - building RTEMS (multilib + BSP)   - 22m47.048s
-#   - building Ada (multilib)           - ?
-#   - building Go (multilib)            - ?
-#   - Running GCC Test Suite (sis)      - 122m47.289s
-#   - Running ACAT           (sis)      - ?
-#   - Running Go Test Suite  (sis)      - ?
</font><font color='#000088'>+#   - building native                      - ?
+#   - building binutils                    - 1m31.310s
+#   - building GDB                         - 1m39.318s
+#   - building stage1 (multilib)           - 10m22.371s
+#   - building RTEMS (multilib + BSP)      - 22m47.048s
+#   - building Objective-C (multilib)      - 6m45.532s
+#   - building Ada (multilib)              - ?
+#   - building Go (multilib)               - ?
+#   - Running GCC Test Suite (sis)         - 122m47.289s
+#   - Running Objective-C Test Suite (sis) - ?
+#   - Running ACAT           (sis)         - ?
+#   - Running Go Test Suite  (sis)         - ?
</font> #
 # Computer Info
 #   Fedora 14 on Intel Core2 Duo Q6600 (4 core) @ 2.40GHz w/ 4GB RAM
<font color='#997700'>@@ -41,6 +43,8 @@
</font> do_stage1=no
   do_cxx=yes
   do_multilib=yes
<font color='#000088'>+# Build the Objective-C language cross compiler.
+do_objc=no
</font> # Build the Ada language cross compiler.
 do_ada=no
   do_ada_multilib=yes
<font color='#997700'>@@ -51,6 +55,7 @@
</font> do_rtems=no
 # Which test suites do we attempt
 run_gcctests=no
<font color='#000088'>+run_objctests=no
</font> run_acats=no
 run_gccgotests=no
 run_libgotests=no
<font color='#997700'>@@ -80,6 +85,8 @@
</font>   -d - do not clean up (delete build directories)
   -v - verbose
   -M - do NOT email test results to gcc-testresults
<font color='#000088'>+  -O - Build Objective-C
+  -P - Run Objective-C Tests
</font>   -o - run GCC Go tests
   -t - run libgo tests
 EOF
<font color='#997700'>@@ -100,7 +107,7 @@
</font>   esac
 }
 
<font color='#880000'>-while getopts bdDnv1cmargiotCATMG OPT
</font><font color='#000088'>+while getopts bdDnv1cmargiotCATMGOP OPT
</font> do
     case "$OPT" in
         A) do_binutils="yes"
<font color='#997700'>@@ -109,13 +116,14 @@
</font>            do_cxx="yes"
            do_multilib="yes"
            do_ada="yes"
<font color='#880000'>-           # do_gccgo="yes"
-           # do_gccgo_multilib="yes"
</font><font color='#000088'>+           do_gccgo="yes"
+           do_objc="yes"
</font>            do_rtems="yes"
            ;;
         d) do_cleanup=`toggle ${do_cleanup}` ;;
         D) do_gdb=`toggle ${do_gdb}` ;;
         T) run_gcctests="yes"
<font color='#000088'>+           run_objctests="yes"
</font>            run_acats="yes"
            run_gccgotests="yes"
            ;;
<font color='#997700'>@@ -137,6 +145,8 @@
</font>         C) run_acats=`toggle ${run_acats}` ;;
         v) verbose=`toggle ${verbose}` ;;
         M) do_mail=`toggle ${do_mail}` ;;
<font color='#000088'>+        O) do_objc=`toggle ${do_objc}` ;;
+        P) run_objctests=`toggle ${do_objc}` ;;
</font>         o) run_gccgotests=`toggle ${run_gccgotests}` ;;
         t) run_libgotests=`toggle ${run_libgotests}` ;;
         *) fatal ;;
<font color='#997700'>@@ -197,12 +207,14 @@
</font>   echo "  C++         : " ${do_cxx}
   echo "  Multilib    : " ${do_multilib}
   echo "Stage 2       : " ${do_ada}
<font color='#000088'>+  echo "  Objective-C : " ${do_objc}
</font>   echo "  Ada         : " ${do_ada}
   echo "  Multilib    : " ${do_ada_multilib}
   echo "  GCC Go      : " ${do_gccgo}
   echo "  Multilib    : " ${do_gccgo_multilib}
   echo "Build RTEMS   : " ${do_rtems}
   echo "Run GCC Tests : " ${run_gcctests}
<font color='#000088'>+  echo "Run ObjC Tests: " ${run_objctests}
</font>   echo "Run ACATS     : " ${run_acats}
   echo "Run Go Tests  : " ${run_gccgotests}
   echo "Do libgo Tests: " ${run_libgotests}
<font color='#997700'>@@ -472,7 +484,6 @@
</font> j_gcc()
 {
 
<font color='#880000'>-set -x
</font>   if [ X${1} = X ] ; then
     echo Usage: $0 TARGET_CPU
     exit 1
<font color='#997700'>@@ -567,26 +578,34 @@
</font>     *) ;;
   esac
   case ${cpu} in
<font color='#880000'>-    m32c) RTEMS_ARGS="--disable-ada --disable-posix --disable-networking" ;;
-    *)    RTEMS_ARGS="--enable-ada --enable-posix --enable-networking" ;;
</font><font color='#000088'>+    m32c|h8300)
+      RTEMS_ARGS="--disable-ada --disable-posix --disable-networking" ;;
+    *)
+      RTEMS_ARGS="--enable-ada --enable-posix --enable-networking" ;;
</font>   esac
   ${RTEMSDIR}/configure --target=${TARGET} ${ENABLE_BSP} \
   ${RTEMS_ARGS} --enable-maintainer-mode --disable-tests \
   --prefix=${BSP_INSTALL} && make ${MAKEJOBS} ${MAKE_ARG} && make install
   status=$?
<font color='#000088'>+  cd ..
</font>   if [ $status -ne 0 ] ; then
<font color='#880000'>-     echo "Failed building RTEMS for ${cpuArg}/${bspArg}"
</font><font color='#000088'>+    echo "Failed building RTEMS for ${cpuArg}/${bspArg}"
+    exit $status
</font>   fi
<font color='#880000'>-  cd ..
-  exit $status
</font> }
 
 if [ ${do_rtems} = "yes" ] ; then<span style="background-color: #FF0000"> </span>
   echo "Building RTEMS for ${cpu} ${bsp} ..."
<font color='#880000'>-  time j_rtems ${cpu} multilib >${LOGDIR}/${cpu}-rtems-multilib.log 2>&1 || \
</font><font color='#000088'>+  time j_rtems ${cpu} multilib >${LOGDIR}/${cpu}-rtems-multilib.log 2>&1
+  if [ $? -ne 0 ] ; then
+    echo "Failed to build RTEMS multilib for ${cpu}"
</font>     exit 1
<font color='#880000'>-  time j_rtems ${cpu} ${bsp} >${LOGDIR}/${cpu}-rtems-${bsp}.log 2>&1 || \
</font><font color='#000088'>+  fi
+  time j_rtems ${cpu} ${bsp} >${LOGDIR}/${cpu}-rtems-${bsp}.log 2>&1
+  if [ $? -ne 0 ] ; then
+    echo "Failed to build RTEMS for ${cpu}/${bsp}"
</font>     exit 1
<font color='#000088'>+  fi
</font>   test ${do_cleanup} = "yes" && rm -rf b-${cpu}-${bsp} b-${cpu}-multilib
 else
   echo Skipping RTEMS for ${cpu}/${bsp}
<font color='#997700'>@@ -597,7 +616,7 @@
</font> if [ ${run_gcctests} = "yes" ] ; then<span style="background-color: #FF0000"> </span>
   echo "Running GCC Tests..."
   cd ${BASEDIR}/b-${cpu}-gcc || exit 1
<font color='#880000'>-  time sh -x ${SCRIPTDIR}/gcc/rundeja ${bsp} gcc\
</font><font color='#000088'>+  time sh -x ${SCRIPTDIR}/gcc/rundeja ${bsp} gcc \
</font>     >${LOGDIR}/${cpu}-gcctests-${bsp}.log 2>&1
 
   RDIR=${RESULTSDIR}/${TARGET}-${bsp}/`date +%Y-%m-%d-%H-%M-%S`
<font color='#997700'>@@ -628,6 +647,92 @@
</font> fi
 test ${do_cleanup} = "yes" && rm -rf b-${cpu}-gcc
 
<font color='#000088'>+##### Build an Objective-C compiler now that we have a cross installed
+j_gccobjc()
+{
+  if [ X${1} = X ] ; then
+    echo Usage: $0 TARGET_CPU
+    exit 1
+  fi
+  TARGET=${1}-rtems${RTEMS_VERSION}
+
+  if [ ! -d ${INSTALL} ] ; then
+    echo ${INSTALL} does not exist
+    exit 1
+  fi
+
+  if [ ${verbose} = yes ] ; then
+    echo "Cross GCC for Objective-C ==>" `type ${TARGET}-gcc`
+  fi
+
+  ${GCCDIR}/configure \
+   ${GCC_EXTRA_ARGS} \
+   --enable-threads=rtems  --with-gnu-as  --enable-multilib \
+   --with-gnu-ld --disable-newlib  --verbose --with-system-zlib --disable-nls \
+    CFLAGS_FOR_TARGET=-B${BSP_INSTALL}/${TARGET}/${BSP_BUILT}/lib/ \
+    --enable-version-specific-runtime-libs \
+    --enable-languages=c,objc --target=$TARGET --prefix=$INSTALL &&
+  make ${MAKEJOBS} &&
+  make install
+  status=$?
+  if [ $status -ne 0 ] ; then
+    echo "Failed building Objective-C"
+  fi
+}
+
+objc_fail="no"
+if [ ${do_objc} = "yes" ] ; then<span style="background-color: #FF0000"> </span>
+  echo "Building Stage 2 cross Objective-C compiler for ${1} ..."
+  (cd ${BASEDIR} && \
+   rm -rf b-${cpu}-objc && \
+   mkdir  b-${cpu}-objc && \
+   cd b-${cpu}-objc && \
+   time j_gccobjc ${cpu} >${LOGDIR}/${cpu}-objc.log 2>&1 && cd ..) || \
+    objc_fail="yes"
+else
+  echo Skipping Stage 2 Objective-C for ${cpu}
+fi
+
+#### Run the Objective-C tests
+if [ ${run_objctests} = "yes" -a \
+     -d ${BASEDIR}/b-${cpu}-objc -a ${objc_fail} = "no" ] ; then<span style="background-color: #FF0000"> </span>
+  echo "Running Objective-C Tests..."
+
+  cd ${BASEDIR}/b-${cpu}-gcc || exit 1
+  time sh -x ${SCRIPTDIR}/gcc/rundeja ${bsp} gcc\
+    >${LOGDIR}/${cpu}-gcctests-${bsp}.log 2>&1
+
+  #RDIR=${RESULTSDIR}/${TARGET}-${bsp}/`date +%Y-%m-%d-%H-%M-%S`
+  #mkdir -p ${RDIR}
+  #cp gcc/testsuite/gcc/gcc.log gcc/testsuite/gcc/gcc.sum ${RDIR}
+  #if [ -r gcc/testsuite/g++/g++.log ] ; then
+  #  cp gcc/testsuite/g++/g++.log gcc/testsuite/g++/g++.sum ${RDIR}
+  #fi
+
+  if [ ${do_mail} = "yes" ] ; then
+    echo Sending Objective-C test results to GCC community..
+    ${GCCDIR}/contrib/test_summary -m gcc-testresults@gcc.gnu.org | sh
+    if [ $? -ne 0 ] ; then
+      echo "Failed to email Objective-C Test Results to GCC Community .. bailing"
+      exit 1
+    fi
+
+    echo Sending test results to RTEMS community..
+    ${GCCDIR}/contrib/test_summary -o -m rtems-tooltestresults@rtems.org | sh
+    if [ $? -ne 0 ] ; then
+      echo "Failed to email Objective-C Test Results to RTEMS Community .. bailing"
+      exit 1
+    fi
+  fi
+  cd .. || exit 1
+else
+  echo Skipping Objective-C Tests for ${cpu}
+fi
+
+if [ ${do_ada} = "yes" ] ; then<span style="background-color: #FF0000"> </span>
+  test ${do_cleanup} = "yes" && rm -rf b-${cpu}-ada
+fi
+
</font> ##### Build an Ada compiler now that we have a cross installed
 j_gccada()
 {
<font color='#997700'>@@ -643,7 +748,7 @@
</font>   fi
 
   if [ ${verbose} = yes ] ; then
<font color='#880000'>-    echo "Cross GCC ==>" `type ${TARGET}-gcc`
</font><font color='#000088'>+    echo "Cross GCC for Ada ==>" `type ${TARGET}-gcc`
</font>   fi
 
   if [ ${do_ada_multilib} = yes ] ; then
<font color='#997700'>@@ -665,7 +770,7 @@
</font>   make install
   status=$?
   if [ $status -ne 0 ] ; then
<font color='#880000'>-    echo "Failed building Go"
</font><font color='#000088'>+    echo "Failed building Ada"
</font>   fi
 }
 
<font color='#997700'>@@ -713,7 +818,6 @@
</font> ##### Build a GCC Go compiler now that we have a cross installed
 j_gccgo()
 {
<font color='#880000'>-set -x
</font>   if [ X${1} = X ] ; then
     echo Usage: $0 TARGET_CPU
     exit 1
<font color='#997700'>@@ -773,7 +877,6 @@
</font> fi
 
 ##### Do the gccgo tests
<font color='#880000'>-set -x
</font> if [ $a ${run_gccgotests} = "yes" -a \
      -d ${BASEDIR}/b-${cpu}-go -a ${go_fail} = "no" ] ; then
   echo "Running GCC Go Tests..."

<font color='#006600'>diff -u rtems-testing/gcc/rundeja:1.14 rtems-testing/gcc/rundeja:1.15
--- rtems-testing/gcc/rundeja:1.14      Mon Feb  7 16:32:35 2011
+++ rtems-testing/gcc/rundeja   Mon Mar 14 09:39:47 2011
</font><font color='#997700'>@@ -117,48 +117,70 @@
</font>   echo "set boards_dir ${SCRIPTDIR}/dejagnu/boards" >${dfile}
 fi
 
<font color='#880000'>-if [ $2 = libgo ] ; then
-  rtems_libgo_init=${SCRIPTDIR}/gcc/rtems_libgo_init.c
-  rtems_bin2c=${INSTALL}/bin/rtems-bin2c
-  make check-target-libgo RUNTESTFLAGS="\
-  SIM=${BSP_SIM} \
-  RTEMS_MAKEFILE_PATH=${rtemsdir} \
-  RTEMS_LIBGO_INIT=${rtems_libgo_init} \
-  RTEMS_BIN2C=${rtems_bin2c} \
-  RTEMS_CONFIG_OBJ= \
-  --target_board=rtems-${CPU}-${DEJABSP} \
-  "
-elif [ $2 = gccgo ] ; then
-  RTEMS_MAKEFILE_PATH=${rtemsdir} \
-  SCRIPTDIR=${SCRIPTDIR} \
-    make -f ${SCRIPTDIR}/gcc/Makefile.rtems_gccgoinit
-  if [ $? -ne 0 ] ; then
-    echo unable to compile RTEMS GCC Go Init File
-    exit 1
-  fi
-  rtems_config=`pwd`/rtems_gccgo_init.o
-  make check-go RUNTESTFLAGS="\
-  SIM=${BSP_SIM} \
-  RTEMS_MAKEFILE_PATH=${rtemsdir} \
-  RTEMS_CONFIG_OBJ=${rtems_config} \
-  --target_board=rtems-${CPU}-${DEJABSP} \
-  "
-else
-  RTEMS_MAKEFILE_PATH=${rtemsdir} \
-  SCRIPTDIR=${SCRIPTDIR} \
-    make -f ${SCRIPTDIR}/gcc/Makefile.rtems_gccmain
-  if [ $? -ne 0 ] ; then
-    echo unable to compile RTEMS GCC Main
-    exit 1
-  fi
-  rtems_config=`pwd`/rtems_gcc_main.o
-  make check-gcc RUNTESTFLAGS="\
-  SIM=${BSP_SIM} \
-  RTEMS_MAKEFILE_PATH=${rtemsdir} \
-  RTEMS_CONFIG_OBJ=${rtems_config} \
-  --target_board=rtems-${CPU}-${DEJABSP} \
-  "
-fi
</font><font color='#000088'>+case $2 in
+  libgo)
+    rtems_libgo_init=${SCRIPTDIR}/gcc/rtems_libgo_init.c
+    rtems_bin2c=${INSTALL}/bin/rtems-bin2c
+    make check-target-libgo RUNTESTFLAGS="\
+    SIM=${BSP_SIM} \
+    RTEMS_MAKEFILE_PATH=${rtemsdir} \
+    RTEMS_LIBGO_INIT=${rtems_libgo_init} \
+    RTEMS_BIN2C=${rtems_bin2c} \
+    RTEMS_CONFIG_OBJ= \
+    --target_board=rtems-${CPU}-${DEJABSP} \
+    "
+    ;;
+  gccgo)
+    RTEMS_MAKEFILE_PATH=${rtemsdir} \
+    SCRIPTDIR=${SCRIPTDIR} \
+      make -f ${SCRIPTDIR}/gcc/Makefile.rtems_gccgoinit
+    if [ $? -ne 0 ] ; then
+      echo unable to compile RTEMS GCC Go Init File
+      exit 1
+    fi
+    rtems_config=`pwd`/rtems_gccgo_init.o
+    make check-go RUNTESTFLAGS="\
+    SIM=${BSP_SIM} \
+    RTEMS_MAKEFILE_PATH=${rtemsdir} \
+    RTEMS_CONFIG_OBJ=${rtems_config} \
+    --target_board=rtems-${CPU}-${DEJABSP} \
+    "
+    ;;
+  gcc)
+    RTEMS_MAKEFILE_PATH=${rtemsdir} \
+    SCRIPTDIR=${SCRIPTDIR} \
+      make -f ${SCRIPTDIR}/gcc/Makefile.rtems_gccmain
+    if [ $? -ne 0 ] ; then
+      echo unable to compile RTEMS GCC Main
+      exit 1
+    fi
+    rtems_config=`pwd`/rtems_gcc_main.o
+    make check-gcc RUNTESTFLAGS="\
+    SIM=${BSP_SIM} \
+    RTEMS_MAKEFILE_PATH=${rtemsdir} \
+    RTEMS_CONFIG_OBJ=${rtems_config} \
+    --target_board=rtems-${CPU}-${DEJABSP} \
+    "
+    ;;
+  *)
+    RTEMS_MAKEFILE_PATH=${rtemsdir} \
+    SCRIPTDIR=${SCRIPTDIR} \
+      make -f ${SCRIPTDIR}/gcc/Makefile.rtems_gccmain
+    if [ $? -ne 0 ] ; then
+      echo unable to compile RTEMS GCC Main
+      exit 1
+    fi
+    rtems_config=`pwd`/rtems_gcc_main.o
+    echo make check RUNTESTFLAGS="\
+    SIM=${BSP_SIM} \
+    RTEMS_MAKEFILE_PATH=${rtemsdir} \
+    RTEMS_CONFIG_OBJ=${rtems_config} \
+    --target_board=rtems-${CPU}-${DEJABSP} \
+    "
+exit 0
+    ;;
+esac
+
</font> # "execute.exp=pr206*"
 # vect.exp=vect*
 # powerpc.exp=405*

<font color='#006600'>diff -u rtems-testing/gcc/test_driver:1.20 rtems-testing/gcc/test_driver:1.21
--- rtems-testing/gcc/test_driver:1.20  Mon Feb  7 16:32:35 2011
+++ rtems-testing/gcc/test_driver       Mon Mar 14 09:39:47 2011
</font><font color='#997700'>@@ -50,8 +50,9 @@
</font> cat <<EOF
 test_driver [options] CPU ..  CPU
   -A - enable clean, native, and update
<font color='#000088'>+  -1 - build basic tools (default=yes)
</font>   -a - build Ada (default=yes)
<font color='#880000'>-  -G - build GCC Go (default=no)
</font><font color='#000088'>+  -G - build GCC Go (default=yes)
</font>   -c - clean install point (also installs auto tools)
   -m - mail results to lists (default=yes)
   -n - build native
<font color='#997700'>@@ -66,13 +67,15 @@
</font> doUpdateTools="no"
 doUpdateRTEMS="no"
 doNative="no"
<font color='#000088'>+doBasicTools="yes"
</font> verbose="no"
 doAda="yes"
<font color='#880000'>-doGccGo="no"
</font><font color='#000088'>+doGccGo="yes"
</font> doMail="yes"
 doTests="yes"
<font color='#000088'>+justTests="no"
</font> 
<font color='#880000'>-while getopts AacmnuGTUv OPT
</font><font color='#000088'>+while getopts j1AacmnuGTUv OPT
</font> do
   case "$OPT" in
     A) doCleanInstallPoint=`toggle ${doCleanInstallPoint}`
<font color='#997700'>@@ -80,9 +83,11 @@
</font>        doUpdateTools=`toggle ${doUpdateTools}`
        doUpdateRTEMS=`toggle ${doUpdateRTEMS}`
        ;;
<font color='#000088'>+    1) doBasicTools=`toggle ${doBasicTools}` ;;
</font>     a) doAda=`toggle ${doAda}` ;;
     G) doGccGo=`toggle ${doGccGo}` ;;
     c) doCleanInstallPoint=`toggle ${doCleanInstallPoint}` ;;
<font color='#000088'>+    j) justTests=`toggle ${justTests}` ;;
</font>     m) doMail=`toggle ${doMail}` ;;
     n) doNative=`toggle ${doNative}` ;;
     T) doTests=`toggle ${doTests}` ;;
<font color='#997700'>@@ -120,12 +125,14 @@
</font>   CPUs="${CPUS_PART2}"
 fi
 
<font color='#000088'>+
</font> if [ ${verbose} = "yes" ] ; then
   echo "Clean Install Point: " ${doCleanInstallPoint}
   echo "Install Autotools:   " ${doCleanInstallPoint}
   echo "Install Native:      " ${doNative}
   echo "Update Tool Source:  " ${doUpdateTools}
   echo "Update RTEMS:        " ${doUpdateRTEMS}
<font color='#000088'>+  echo "Build Basic Tools:   " ${doBasicTools}
</font>   echo "Build Ada:           " ${doAda}
   echo "Build GCC Go:        " ${doGccGo}
   echo "Email Results:       " ${doMail}
<font color='#997700'>@@ -133,10 +140,18 @@
</font>   echo "CPUs to Build:       " ${CPUs}
 fi
 
<font color='#880000'>-test ${doMail}  = "no"   && mailArg="-M"
-test ${doTests} = "yes" && testArg="-T"
-test ${doAda}   = "yes" && adaArg="-a"
-test ${doGccGo} = "yes" && gccgoArg="-G"
</font><font color='#000088'>+test ${doMail}  = "no"       && mailArg="-M"
+test ${doTests} = "yes"      && testArg="-T"
+test ${doAda}   = "yes"      && adaArg="-a"
+test ${doGccGo} = "yes"      && gccgoArg="-G"
+test ${doBasicTools} = "yes" && basicArgs="-b -D -1 -r"
+
+echo "Checking for just tests override"
+if [ ${justTests} = "yes" ] ; then
+  adaArg=""
+  gccgoArg=""
+  basicArgs=""
+fi
</font> 
 start=`date`
 echo Started at: ${start}
<font color='#997700'>@@ -249,7 +264,10 @@
</font> 
     doOne=${SCRIPTDIR}/gcc/do_one<span style="background-color: #FF0000"> </span>
     echo "Building ${cpu}/${bsp}..."<span style="background-color: #FF0000"> </span>
<font color='#880000'>-    time sh -x ${doOne} -v -b -D -1 -d -r \
</font><font color='#000088'>+    echo "time sh -x ${doOne} -v -d ${basicArgs}  \
+        ${gccgoArg} ${adaArg} ${mailArg} ${testArg} \
+        ${cpu} ${bsp} >${BASEDIR}/${bsp}.log 2>&1"
+    time sh -x ${doOne} -v -d ${basicArgs}  \
</font>         ${gccgoArg} ${adaArg} ${mailArg} ${testArg} \
         ${cpu} ${bsp} >${BASEDIR}/${bsp}.log 2>&1
     echo $?
</pre>
<p> </p>
<a name='cs2'></a>
<table border='0' cellspacing='0' cellpadding='5' width='100%' bgcolor='#eeeeee'>
<tr><td colspan='3' bgcolor='#dddddd'>
 <font color='#bb2222'><strong>joel</strong></font>
</td></tr>
<tr><td colspan='3' bgcolor='#dddddd'><pre>2011-03-14 Joel Sherrill <joel.sherrill@oarcorp.com>

        * gdb-sim-run.in: Add another generic failure message.
</pre></td></tr>
<tr><td width='1%'><a href="http://www.rtems.com/cgi-bin/viewcvs.cgi//rtems-testing/sim-scripts/ChangeLog.diff?r1=text&tr1=1.97&r2=text&tr2=1.98&diff_format=h">M</a></td><td width='1%'>1.98</td><td width='100%'>sim-scripts/ChangeLog</td></tr>
<tr><td width='1%'><a href="http://www.rtems.com/cgi-bin/viewcvs.cgi//rtems-testing/sim-scripts/gdb-sim-run.in.diff?r1=text&tr1=1.53&r2=text&tr2=1.54&diff_format=h">M</a></td><td width='1%'>1.54</td><td width='100%'>sim-scripts/gdb-sim-run.in</td></tr>
</table>
<pre>
<font color='#006600'>diff -u rtems-testing/sim-scripts/ChangeLog:1.97 rtems-testing/sim-scripts/ChangeLog:1.98
--- rtems-testing/sim-scripts/ChangeLog:1.97    Sun Mar 13 17:17:11 2011
+++ rtems-testing/sim-scripts/ChangeLog Mon Mar 14 09:40:14 2011
</font><font color='#997700'>@@ -1,3 +1,7 @@
</font><font color='#000088'>+2011-03-14    Joel Sherrill <joel.sherrill@oarcorp.com>
+
+       * gdb-sim-run.in: Add another generic failure message.
+
</font> 2011-03-13        Joel Sherrill <joel.sherrilL@OARcorp.com>
 
        * pc386.in: Add another failure message.

<font color='#006600'>diff -u rtems-testing/sim-scripts/gdb-sim-run.in:1.53 rtems-testing/sim-scripts/gdb-sim-run.in:1.54
--- rtems-testing/sim-scripts/gdb-sim-run.in:1.53       Mon Feb 14 14:51:33 2011
+++ rtems-testing/sim-scripts/gdb-sim-run.in    Mon Mar 14 09:40:14 2011
</font><font color='#997700'>@@ -206,6 +206,7 @@
</font>       "^assertion .* failed: file .*, line .*, function:" \
       "\*\*\*.*FAILED.*\*\*\*" \
       "===.*PASSED.*===" \
<font color='#000088'>+      "^raised .*_ERROR" \
</font>       "FAULTY THREAD WILL BE " \
       "\*\*\* EXIT code "
   do
</pre>
<p> </p>
<a name='cs3'></a>
<table border='0' cellspacing='0' cellpadding='5' width='100%' bgcolor='#eeeeee'>
<tr><td colspan='3' bgcolor='#dddddd'>
 <font color='#bb2222'><strong>joel</strong></font>
</td></tr>
<tr><td colspan='3' bgcolor='#dddddd'><pre>2011-03-14 Joel Sherrill <joel.sherrill@oarcorp.com>

        * generate_coverage_html: Improve help.
</pre></td></tr>
<tr><td width='1%'><a href="http://www.rtems.com/cgi-bin/viewcvs.cgi//rtems-testing/rtems-coverage/ChangeLog.diff?r1=text&tr1=1.304&r2=text&tr2=1.305&diff_format=h">M</a></td><td width='1%'>1.305</td><td width='100%'>rtems-coverage/ChangeLog</td></tr>
<tr><td width='1%'><a href="http://www.rtems.com/cgi-bin/viewcvs.cgi//rtems-testing/rtems-coverage/generate_coverage_html.diff?r1=text&tr1=1.31&r2=text&tr2=1.32&diff_format=h">M</a></td><td width='1%'>1.32</td><td width='100%'>rtems-coverage/generate_coverage_html</td></tr>
</table>
<pre>
<font color='#006600'>diff -u rtems-testing/rtems-coverage/ChangeLog:1.304 rtems-testing/rtems-coverage/ChangeLog:1.305
--- rtems-testing/rtems-coverage/ChangeLog:1.304        Sun Mar 13 17:16:37 2011
+++ rtems-testing/rtems-coverage/ChangeLog      Mon Mar 14 09:46:14 2011
</font><font color='#997700'>@@ -1,3 +1,7 @@
</font><font color='#000088'>+2011-03-14    Joel Sherrill <joel.sherrill@oarcorp.com>
+
+       * generate_coverage_html: Improve help.
+
</font> 2011-03-13        Joel Sherrill <joel.sherrilL@OARcorp.com>
 
        * VERSIONS-COVERAGE, do_coverage, run_coverage: Make improvements so it

<font color='#006600'>diff -u rtems-testing/rtems-coverage/generate_coverage_html:1.31 rtems-testing/rtems-coverage/generate_coverage_html:1.32
--- rtems-testing/rtems-coverage/generate_coverage_html:1.31    Wed Feb  9 09:48:28 2011
+++ rtems-testing/rtems-coverage/generate_coverage_html Mon Mar 14 09:46:14 2011
</font><font color='#997700'>@@ -23,6 +23,7 @@
</font> USAGE=\
 "usage: $progname [ -opts ]
         -v         -- verbose (default=no)
<font color='#000088'>+        -p         -- generate plots (default=yes)
</font>         -r VERSION -- RTEMS Version (default=CVS)
 "
 
</pre>
<p> </p>

<p>--<br />
<small>Generated by <a href="http://www.codewiz.org/projects/index.html#loginfo">Deluxe Loginfo</a> 2.122 by Bernardo Innocenti <bernie@develer.com></small></p>
</body>
</html>